declare const KEYWORDS: string[];
declare const LITERALS: string[];
declare const TYPES: string[];
declare const ERROR_TYPES: string[];
declare const BUILT_IN_GLOBALS: string[];
declare const BUILT_INS: never[];
/** @type LanguageFn */
declare function coffeescript(hljs: any): {
    name: string;
    aliases: string[];
    keywords: {
        keyword: string[];
        literal: string[];
        built_in: never[];
    };
    illegal: RegExp;
    contains: any[];
};
