declare const MODES: (hljs: any) => {
    IMPORTANT: {
        scope: string;
        begin: string;
    };
    BLOCK_COMMENT: any;
    HEXCOLOR: {
        scope: string;
        begin: RegExp;
    };
    FUNCTION_DISPATCH: {
        className: string;
        begin: RegExp;
    };
    ATTRIBUTE_SELECTOR_MODE: {
        scope: string;
        begin: RegExp;
        end: RegExp;
        illegal: string;
        contains: any[];
    };
    CSS_NUMBER_MODE: {
        scope: string;
        begin: string;
        relevance: number;
    };
    CSS_VARIABLE: {
        className: string;
        begin: RegExp;
    };
};
declare const TAGS: string[];
declare const MEDIA_FEATURES: string[];
declare const PSEUDO_CLASSES: string[];
declare const PSEUDO_ELEMENTS: string[];
declare const ATTRIBUTES: string[];
/** @type LanguageFn */
declare function stylus(hljs: any): {
    name: string;
    aliases: string[];
    case_insensitive: boolean;
    keywords: string;
    illegal: string;
    contains: any[];
};
