/**
* @param {string} value
* @returns {RegExp}
* */
declare const keywordWrapper: (keyword: any) => string;
declare const dotKeywords: string[];
declare const optionalDotKeywords: string[];
declare const keywordTypes: string[];
declare const keywords: (string | RegExp)[];
declare const literals: string[];
declare const precedencegroupKeywords: string[];
declare const numberSignKeywords: string[];
declare const builtIns: string[];
declare const operatorHead: string;
declare const operatorCharacter: string;
declare const operator: string;
declare const identifierHead: string;
declare const identifierCharacter: string;
declare const identifier: string;
declare const typeIdentifier: string;
declare const keywordAttributes: string[];
declare const availabilityKeywords: string[];
/** @type LanguageFn */
declare function swift(hljs: any): {
    name: string;
    keywords: {
        $pattern: string;
        keyword: (string | RegExp)[];
        literal: string[];
    };
    contains: any[];
};
