/** @type LanguageFn */
declare function diff(hljs: any): {
    name: string;
    aliases: string[];
    contains: ({
        className: string;
        relevance: number;
        match: any;
        variants?: undefined;
        begin?: undefined;
        end?: undefined;
    } | {
        className: string;
        variants: ({
            begin: any;
            end: RegExp;
            match?: undefined;
        } | {
            match: RegExp;
            begin?: undefined;
            end?: undefined;
        })[];
        relevance?: undefined;
        match?: undefined;
        begin?: undefined;
        end?: undefined;
    } | {
        className: string;
        begin: RegExp;
        end: RegExp;
        relevance?: undefined;
        match?: undefined;
        variants?: undefined;
    })[];
};
