declare var decimalDigits: string;
declare var frac: string;
declare var hexDigits: string;
declare var NUMERIC: {
    className: string;
    variants: {
        begin: string;
    }[];
    relevance: number;
};
/**
 * Allows recursive regex expressions to a given depth
 *
 * ie: recurRegex("(abc~~~)", /~~~/g, 2) becomes:
 * (abc(abc(abc)))
 *
 * @param {string} re
 * @param {RegExp} substitution (should be a g mode regex)
 * @param {number} depth
 * @returns {string}``
 */
declare function recurRegex(re: any, substitution: any, depth: any): any;
/** @type LanguageFn */
declare function java(hljs: any): {
    name: string;
    aliases: string[];
    keywords: {
        keyword: string[];
        literal: string[];
        type: string[];
        built_in: string[];
    };
    illegal: RegExp;
    contains: any[];
};
