declare const IDENT_RE = "[A-Za-z$_][0-9A-Za-z$_]*";
declare const KEYWORDS: string[];
declare const LITERALS: string[];
declare const TYPES: string[];
declare const ERROR_TYPES: string[];
declare const BUILT_IN_GLOBALS: string[];
declare const BUILT_IN_VARIABLES: string[];
declare const BUILT_INS: never[];
/** @type LanguageFn */
declare function typescript(hljs: any): {
    name: string;
    aliases: string[];
    keywords: {
        $pattern: string;
        keyword: string[];
        literal: string[];
        built_in: never[];
        "variable.language": string[];
    };
    exports: {
        PARAMS_CONTAINS: never[];
        CLASS_REFERENCE: {
            relevance: number;
            match: any;
            className: string;
            keywords: {
                _: string[];
            };
        };
    };
    illegal: RegExp;
    contains: any[];
};
