/**
* @param {string} value
* @returns {RegExp}
* */
/** @type LanguageFn */
declare function fsharp(hljs: any): {
    name: string;
    aliases: string[];
    keywords: {
        type: string[];
        keyword: string[];
        literal: string[];
        built_in: string[];
        'variable.constant': string[];
    };
    illegal: RegExp;
    classNameAliases: {
        'computation-expression': string;
    };
    contains: ({
        scope: string;
        match: RegExp;
    } | {
        variants: any[];
    } | {
        match: string;
        scope: string;
        relevance: number;
    } | {
        begin: (string | RegExp)[];
        beginScope: {
            2: string;
        };
        end: string;
    } | {
        begin: any[];
        beginScope: {
            1: string;
            3: string;
        };
        end: string;
        contains: {
            match: string;
            scope: string;
            relevance: number;
        }[];
        scope?: undefined;
        excludeBegin?: undefined;
        relevance?: undefined;
    } | {
        scope: string;
        begin: RegExp;
        excludeBegin: boolean;
        end: string;
        relevance: number;
        contains: ({
            variants: any[];
        } | {
            scope: string;
            begin: RegExp;
            end: RegExp;
        })[];
        beginScope?: undefined;
    })[];
};
