/** @type LanguageFn */
declare function xquery(_hljs: any): {
    name: string;
    aliases: string[];
    case_insensitive: boolean;
    illegal: RegExp;
    keywords: {
        $pattern: RegExp;
        keyword: string[];
        type: string[];
        literal: string[];
    };
    contains: ({
        className: string;
        variants: ({
            begin: RegExp;
            end: RegExp;
            excludeEnd?: undefined;
        } | {
            begin: RegExp;
            end: RegExp;
            excludeEnd: boolean;
        } | {
            begin: RegExp;
            end?: undefined;
            excludeEnd?: undefined;
        })[];
    } | {
        className: string;
        begin: RegExp;
    } | {
        className: string;
        variants: {
            begin: RegExp;
            end: RegExp;
            contains: {
                begin: RegExp;
                relevance: number;
            }[];
        }[];
    } | {
        beginKeywords: string;
        end: RegExp;
        excludeEnd: boolean;
    } | {
        begin: RegExp;
        end: RegExp;
        subLanguage: string;
        contains: (string | {
            begin: RegExp;
            end: RegExp;
            subLanguage: string;
        })[];
    })[];
};
